﻿
.icon {
    display: inline-block;
    width: 1em; 
    height: 1em;
    line-height: 1;
    vertical-align: -.125em; 

    background-color: currentColor;
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    -webkit-mask-size: contain;
}

.icon-sm {
    width: 0.75em;
    height: 0.75em;
}

.icon-lg {
    width: 1.25em;
    height: 1.25em;
}

.icon-bull {
    mask-image: url("/icons/bull.png");
    -webkit-mask-image: url("/icons/bull.png");
}

.icon-chicken-coop {
    mask-image: url("/icons/chicken-coop.png");
    -webkit-mask-image: url("/icons/chicken-coop.png");
}

.icon-horse-stable {
    mask-image: url("/icons/horse-stable.png");
    -webkit-mask-image: url("/icons/horse-stable.png");
}

.icon-incubator {
    mask-image: url("/icons/incubator.png");
    -webkit-mask-image: url("/icons/incubator.png");
}
